#!/bin/bash
#***************************************************************
#
# Script name: clean_l2p_quicktest.sh
#
# Usage: clean_l2p_ospo.sh
#
# Purpose:     keep L2P data directories from unbounded growth
#              
# Written by:  Bob  2006Mar24
#
# 05/28/29  M. Fan (PSGS) -- modified to include set_app_env.sh
#
#***************************************************************
#

## Set directories and  environment variables
#---------------------------------------------
export SCRIPTDIR=$( dirname $0 )
. $SCRIPTDIR/set_app_env.sh
scriptname=$( basename $0)

# Set up the logfile

    while getopts l: optionName
    do
          case $optionName in
          l)   filename="$OPTARG"
#              datestring=`date +%j%H`
               datestring=`date +%j`
               filename="${filename}.${datestring}"
               exec >> $LOGDIR/$filename 2>&1 ;;
          ?)   echo "Usage: $0 -l logfile_name \n";;
          esac
    done
#------------------------------------------------------------------

 LOCAL_L2P=/data/$(whoami)/L2P
ARCHIVE_L2P=/data/oper/L2P

FLAG_ARCHIVE="      -mmin  +200"
FLAG_DELETE="       -mmin +2160"
FLAG_DELETE="       -mmin +6480"
FLAG_DELETE_INPUT=" -mmin  +180"

echo "===================================================="
echo " Execute $0 at $(date -u)"

cd $LOCAL_L2P
for subdir in  netcdf_output  netcdf_sent
do
   local=$LOCAL_L2P/$subdir
   archive=$ARCHIVE_L2P/$subdir
   if [ -d $local ]
   then
      find  $local/*OSPO*    -type f $FLAG_DELETE   |xargs -i rm {}
      find  $archive/*OSPO*  -type f $FLAG_DELETE   |xargs -i rm {}
      find  $local/*OSPO*    -type f $FLAG_ARCHIVE  |xargs -i echo "Move {} to archiveDir"
      find  $local/*OSPO*    -type f $FLAG_ARCHIVE  |xargs -i mv {} $archive
   fi
done

INPDIR=$LOCAL_L2P/netcdf_input  
cd $INPDIR  && find . -mmin +180  |grep 'L2P.0'  |xargs -i rm {}
INPDIR=$ARCHIVE_L2P/netcdf_input  
cd $INPDIR  && find . -mmin +180  |grep 'L2P.0'  |xargs -i rm {}

#-----------------------------------------------------------------
echo "End $0 at `date`"
