#!/bin/bash
#
################################################################################
#
# Program Name:  countsst.sh
#
# Purpose:  count the number of sst retrievals in a binary merged file
#
# Usage: countsst.sh $1
#        $1=file name (a binary merged file such as sst1b_msg_2009_090_15)
#
#################################################################################  

## Set directories and  environment variables
#---------------------------------------------
export SCRIPTDIR=$( dirname $0 )
. $SCRIPTDIR/set_app_env.sh
scriptname=$( basename $0 )

echo "Start counting good sst point....."
#
# Usage prompt
#-----------------
if [ $# -lt 1 ]
then
    echo " Usage:  $scriptname infilename"
    exit
fi

# file name
#------------
infile=${SSTDIR}/$1

#
if [ ! -f $infile ]
then
   echo " Error - input file $infile not found"
   exit
fi

numpoints=`od -v -t x1 $infile |sed 's/^[0-9]*//'|sed 's/ 0[0-6]//g'|wc -w`

echo " Found $numpoints good sst points in file $infile"





