#!/bin/ksh

#
### Get aerosol file from metroweb

##---------------------------------------------------------------------
# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs

LOGDIR=$HOME/mcidas/logs
while getopts l: optionName
do
            case $optionName in
            l)   filename="$OPTARG"
#                datestring=`date -u +%j.%H%M`
                 datestring=`date -u +%j`
                 exec >> $LOGDIR/$filename.$datestring.log 2>&1 ;;
            ?)   echo "Usage: $0  -l logfile_name \n";;
           esac
done
##---------------------------------------------------------------------
#/gpfs1/ops/prod/shared/sst/aer.field.100km_global.n19.daily

# directory name sample :   /com/gfs/prod/gfs.20060322
# file name samples: gfs.t12z.pgrbf09  gfs.t00z.sfluxgrbf09

# Web address: metroweb.nesdis.noaa.gov

# Directory:  /pub/eps/aerosol

# Files:       docrec.aerosoldev   aerosoldev.field

#remoteDir=/pub/eps/aerosol
#remoteServer=metroweb.nesdis.noaa.gov
#remoteDir=/pub/eps/aerosol
#localDir=/data/$(whoami)/L2P/aerosol

echo "===================================================="
echo " Execute $0 at $(date -u)"

current_jday=$(date -u +%Y%j )

remoteServer=geoprod5
remoteUser=Pmodairs
remoteDir=/gpfs1/ops/prod/shared/sst
remoteName=aer.field.100km_global.n19.daily

localDir=/data/$(whoami)/L2P/aerosol
localName=aerosoldev.field

cd $localDir
#$HOME/mcidas/bin/sftptime $remoteUser@$remoteServer << EOF      2>&1
#  cd   $remoteDir
#  get $remoteName $localName
#  quit
#EOF

cd $localDir
scp -p $remoteUser@$remoteServer:$remoteDir/$remoteName  $localName

[ $? -eq 0 ]  &&  echo "Aerosol data fetching sucsessfuly"  || echo "Aerosol data fetching failed" && exit 1
exit 0

