#!/bin/ksh

#
### Get ncep gfs grib files from GP9

##---------------------------------------------------------------------
# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs

LOGDIR=$HOME/mcidas/logs
while getopts l: optionName
do
            case $optionName in
            l)   filename="$OPTARG"
#                datestring=`date -u +%j.%H%M`
                 datestring=`date -u +%j`
                 exec >> $LOGDIR/$filename.$datestring.log 2>&1 ;;
            ?)   echo "Usage: $0  -l logfile_name \n";;
           esac
done
##---------------------------------------------------------------------

# directory name sample :   /com/gfs/prod/gfs.20060322
# file name samples: gfs.t12z.pgrbf09  gfs.t00z.sfluxgrbf09

echo "===================================================="
echo " Execute $0 at $(date -u)"

#user='goesprd2'
#ncepDataServer='prodccs.ncep.noaa.gov'
#ncepDataServer='white.ncep.noaa.gov'
#ncepRootDir='/com/gfs/prod/gfs.'
user='oper'
#ncepDataServer=gp9
ncepDataServer=10.144.3.42
ncepRootDir='/data/ncep/input/gfs/prod'

localDir=/data/$(whoami)/L2P/ncep
ctoday=$(  date  +%Y%m%d )
cyesterday=$(  date -d ' 1 day ago ' +%Y%m%d )

echo "ctoday=$ctoday"
echo "cyesterday=$cyesterday"

runDate=$ctoday

hh_now=$( date -u +%H ) 
if   [ $hh_now -lt 03 ] ; then
   HHrun='18'
   runDate=$cyesterday
elif [ $hh_now -lt 09 ] ; then
   HHrun='00'
elif [ $hh_now -lt 15 ] ; then
   HHrun='06'
elif [ $hh_now -lt 21 ] ; then
   HHrun='12'
else 
   HHrun='18'
fi
echo " Time is $(date) ; HHrun is $HHrun"

echo "runDate=$runDate"
ncepDir=$ncepRootDir/gfs.$runDate
echo " ncepDir is $ncepDir"

# file name samples: gfs.t12z.pgrbf09      gfs.t12z.master.grbf09

fname00="gfs.t${HHrun}z.pgrbf00"
fname03="gfs.t${HHrun}z.pgrbf03"
fname06="gfs.t${HHrun}z.pgrbf06"
fname09="gfs.t${HHrun}z.pgrbf09"
fname12="gfs.t${HHrun}z.pgrbf12"
fname15="gfs.t${HHrun}z.pgrbf15"

sname00="gfs.t${HHrun}z.sfluxgrbf00"
sname03="gfs.t${HHrun}z.sfluxgrbf03"
sname06="gfs.t${HHrun}z.sfluxgrbf06"
sname09="gfs.t${HHrun}z.sfluxgrbf09"
sname12="gfs.t${HHrun}z.sfluxgrbf12"
sname15="gfs.t${HHrun}z.sfluxgrbf15"

cd $localDir/tmp

date
$HOME/mcidas/bin/sftptime -600 $user@$ncepDataServer << EOF     2>&1
  cd   $ncepDir
  get  $fname00   $fname00.$runDate
  get  $fname03   $fname03.$runDate
  get  $fname06   $fname06.$runDate
  get  $fname09   $fname09.$runDate
  get  $fname12   $fname12.$runDate
  get  $fname15   $fname15.$runDate

  get  $sname00   $sname00.$runDate
  get  $sname03   $sname03.$runDate
  get  $sname06   $sname06.$runDate
  get  $sname09   $sname09.$runDate
  get  $sname12   $sname12.$runDate
  get  $sname15   $sname15.$runDate
  bye
EOF
if  [ $? -ne 0 ]
then
   echo " $0: !!ERROR: sftptime to ncep Failed or Timed Out !!"
   echo " $0: !!ERROR: sftptime to ncep Failed or Timed Out !!"
   echo " $0: !!ERROR: sftptime to ncep Failed or Timed Out !!"
fi
date
pwd
ls -l
mv gfs* ..


find . -mtime +2 |grep "^gfs.t" |grep "z.pgrbf"     |xargs -i rm {}
find . -mtime +2 |grep "^gfs.t" |grep "z.sfluxgrbf" |xargs -i rm {}




############ GP9 directory   /data/ncep/input/gfs/prod/gfs.20070129
