#!/bin/ksh

#
### Get rtgsst grib file from polar server

##---------------------------------------------------------------------
# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs

LOGDIR=$HOME/mcidas/logs
while getopts l: optionName
do
            case $optionName in
            l)   filename="$OPTARG"
#                datestring=`date -u +%j.%H%M`
                 datestring=`date -u +%j`
                 exec >> $LOGDIR/$filename.$datestring.log 2>&1 ;;
            ?)   echo "Usage: $0  -l logfile_name \n";;
           esac
done
##---------------------------------------------------------------------

#  Get grib format HiRes RTG SST file
#  filename format  /data/rtgsst/rtg_sst_grb_hr_0.083.20060321
#RTGdataServer='tle@140.90.195.52'
#RTGdataServer='oper@140.90.195.52'
RTGdataServer='oper@10.144.3.41'
#RTGdataServer='oper@gp10'
RTGdataDir=/data/rtgsst

localDir=/data/$(whoami)/L2P/rtg

echo "===================================================="
echo " Execute $0 at $(date -u)"

cyesterday=$(  date -d ' 1 day ago ' +%Y%m%d )
echo  "cyesterday=$cyesterday"
filename='rtg_sst_grb_hr_0.083.'${cyesterday}
echo "Getting filename=$filename"


cd $localDir

$HOME/mcidas/bin/sftptime  $RTGdataServer << EOF     2>&1
  cd   $RTGdataDir
  dir  $filename
  get  $filename
  bye
EOF
ls -l $filename
