#!/bin/ksh

#
### New version - Get rtgsst from MODEL server

##---------------------------------------------------------------------
# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs

LOGDIR=$HOME/mcidas/logs
while getopts l: optionName
do
            case $optionName in
            l)   filename="$OPTARG"
#                datestring=`date -u +%j.%H%M`
                 datestring=`date -u +%j`
                 exec >> $LOGDIR/$filename.$datestring.log 2>&1 ;;
            ?)   echo "Usage: $0  -l logfile_name \n";;
           esac
done
##---------------------------------------------------------------------

#  Get grib format HiRes RTG SST file
#  On model data server 
#     the data resides in directory 
#           /data/ncep/input/gfs/prod/sst.<yyyymmdd>
#     with file name 
#           rtg_sst_grb_hr_0.083
# On shared file system 
#     access via mount on spider@geodev
#     resides in directory  
#           /gpfs1/dmz/incoming/NCEP/rtgsst/
#     with filename   
#           rtgssthr_grb_0.083.grib2.<yyyymmdd>
#  


remoteServer='geoprod5'
remoteUser='Pmodairs'
remoteData_root=/gpfs1/dmz/incoming/NCEP/rtgsst/

localDataDir=/data/$(whoami)/L2P/rtg

echo "===================================================="
echo " Execute $0 at $(date -u)"

day0=$(  date -u                   +%Y%m%d )
day1=$(  date -u -d ' 1 day  ago ' +%Y%m%d )
day2=$(  date -u -d ' 2 days ago ' +%Y%m%d )
file0="rtg_sst_grb_hr_0.083.$day0"
file1="rtg_sst_grb_hr_0.083.$day1"
file2="rtg_sst_grb_hr_0.083.$day2"

remoteFilename0="rtgssthr_grb_0.083.grib2"

cd  $localDataDir
for day  in   $day0  $day1  $day2
do
   localFilename="rtg_sst_grb_hr_0.083.$day"
   remoteFilename="rtgssthr_grb_0.083.grib2.$day"

   if [ -f $localFilename ]
   then
      echo "Already have $localFilename"
      ls -l $localFilename
   else
     #remoteDataDir=$remoteData_root/sst.$day
      remoteDataDir=$remoteData_root
      echo "Trying to fetch file=$remoteFilename"
      $HOME/mcidas/bin/sftptime  -100  $remoteUser@$remoteServer  << EOF     2>&1
         dir  $remoteDataDir/$remoteFilename
         get  $remoteDataDir/$remoteFilename   $localFilename
         bye
EOF
       ls -l $localFilename
    fi
done

