#!/bin/bash
#
#######################################################################################
#
# Program Name: getdata_dummy.sh
#
# Purpose:  Dummy procedure when using input data prepared by a different user
#         -- Fetch imagery to make a multi-spectral AREA file, and
#            put to LD/GOES_NE_IMG. If it fails to do so, return value is -1
#
#
#######################################################################################

## Set directories and  environment variables
#---------------------------------------------
export SCRIPTDIR=$( dirname $0 )
. $SCRIPTDIR/set_app_env.sh
scriptname=$( basename $0 )

RegName=GOES_NE

# set log file:
# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs
#----------------------------------------------------------------
while getopts l: optionName
do
            case $optionName in
            l)   filename="$OPTARG"
                 datestring=`date -u +%j.%H%M` 
                 filename="$filename.$datestring.log"
                 exec >> $LOGDIR/$filename   2>&1 ;;
            ?)   echo "Usage: $scriptname  -l logfile_name \n";;
           esac
done


echo "================================================================="
echo "`date -u` start $scriptname"       # time stamp
echo " Using data from another account.  Do not bother preparing input imagery"
echo " End $scriptname at `date -u` "	# time stamp
echo " "
echo "================================================================="

