#!/bin/bash
#
#######################################################################################
#
# Name:   getpolarsst.sh
#
# Purpose: fetch rtg sst file from polar server
#
# Change History:
#      05/05/05 initial version
#      09/03/12   M. Fan  (PSGS)
#                 use set_app_env.sh to set up environment variables
#
########################################################################################

export SCRIPTDIR=$( dirname $0 )
. $SCRIPTDIR/set_app_env.sh
scriptname=$( basename $0)

# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs
#--------------------------------------------------------------
while getopts l: optionName
do
            case $optionName in
            l)   filename="$OPTARG"
#                datestring=`date -u +%j.%H%M` 
                 datestring=`date -u +%j` 
                 filename="$filename.$datestring.log"
                 exec >> $LOGDIR/$filename   2>&1 ;;
            ?)   echo "Usage: $scriptname  -l logfile_name \n";;
           esac
done
##---------------------------------------------------------------------
 
echo "===================================================="
echo " Start $scriptname at $(date -u)"

current_jday=$(date -u +%Y%j )


#cd  $HOME/mcidas/data
cd  $MCDATDIR


imgcopy.k  PLR/SST.2  LD/A.6320  SIZE=ALL

[ -s ${oldArea}/AREA6320.${current_jday} ]  || cp -p  ${AREADIR}/AREA6320    ${oldArea}/AREA6320.${current_jday}

echo " End $scriptname  at $(date -u)"


