#!/bin/csh -f 
###################################################################################
#### this c shell script is a drive for producing GOES SST Frontal productrun
####     Fristly, it sftp goes sst daily average data 
####     from:  gp12 
####      to :  current machine under $HOME/front_sst/bin/,
####     then run C code canny_edge.c to get frontal data with output data *frt.
####     
####     All of source code are under $HOME/front_sst/src/,
####     all of executable code are under $HOME/front_sst/bin/,
####     and all of data files are under /data/`whoami`/front_sst/daily_fronts/
####     Developer: Tim Mavor
####     Rivision:  Yufeng Zhu (STC)  11.16.2006 
####     Rivision:  Yufeng Zhu (STC)  1.04.2007
####                Change input daily average data from gp12 to local.
####     Rivision:  M. Fan (PSGS)  10/01/2009 
####                2) send to product server by calling sendFront_goes.sh
##################################################################################
#

set time = `date +%T`
set day = `date +%F`
set tday = "$time  $day" 
#echo "$time" $time 
#echo "$day" $day 
#echo "$tday" $tday 

echo "SST Frontal daily job start at : " $tday

#--get yesterday date
set jdate = `date +%Y_%j --date='yesterday'`
 echo "jdate is : " $jdate

#set up path and file name
   set workpath = "$HOME/front_sst/bin/"
   set datapath = "/data/`whoami`/front_sst/daily_average/"
   set goesday  = "gsst_${jdate}"
   set srcpath = "/data/`whoami`/sstArchive/"
echo "work path: " $workpath
echo "data path: " $datapath
#echo "goesday" $goesday
echo "source path: " $srcpath

set frtname = "${goesday}_frt"
set frtfile = "/data/`whoami`/front_sst/daily_fronts/${frtname}"
#echo "frtfile" $frtfile
set mailList = "bob.potash@noaa.gov"
##-----------------------------------------------------------------------------##
#--  get goessst data file from ESPC Product Server 
##cd $datapath
##echo "current directory:  `pwd`"

##set remoteServer = "140.90.195.61"      # GP12
##set remoteUser = "spider"
##set remoteDir = "/data/ftp/pub/gsst_bayes/daily"
##set sst24_infile = "sst24o_${jdate}"
##echo   "localDir / sst24_infile : $datapath / $sst24_infile "
##    echo "----- Begin Get SST File Ftp Transfer: $sst24_infile `date` -----" 
##sftp $remoteUser@$remoteServer << EOF
##       cd $remoteDir
##       get  $sst24_infile
##       exit
##EOF
##echo "----- End Get SST File Ftp Transfer: $sst24_infile `date` -----" 
##if  ( -s   $sst24_infile  )  then
##   echo " Successfully retrieved input file $sst24_infile "
##   ls -l $sst24_infile
##else
##   echo " UnSuccessfully retrieved input file $sst24_infile "
##    echo "GOESSST Frontal Product  ${frtname}  PROBLEM"
##echo " UnSuccessfully retrieved input file $sst24_infile " | mail -s 'SST Frontal Daily Job' $mailList 
##   exit 1
##endif

##-----------------------------------------------------------------------------##

#--determining sst fronts
cd $srcpath
set sst24_infile = "sst24o_goes_${jdate}"
cp $sst24_infile $datapath
ls -l $sst24_infile

cd $datapath
limit stacksize 204800
## cat `echo $sst24_infile` > $HOME/front_sst/bin/tempfile
## $HOME/front_sst/bin/canny_edge.out $HOME/front_sst/bin/tempfile 1.0 0.35 0.62
$HOME/front_sst/bin/canny_edge.exe  $sst24_infile  1.0 0.35 0.62
mv tempedge  $frtfile
gzip     $frtfile
unlimit
gzip     $sst24_infile

if ( $? == 0 ) then
     echo "SST Frontal daily product successfully produced at `date`"
     echo "generate $frtfile SUCCESS"
else
    echo "SST Frontal detection - Program Error"
    echo "GOESSST Frontal Product  ${frtname}  PROBLEM"
    echo "SST Frontal detection - Program Error" | mail -s 'SST Frontal Daily Job' $mailList
    echo "generate $frtfile Fail"
endif

##-----------------------------------------------------------------------------##

##--send product to Product Server
##----
set SCRIPTDIR = $HOME/mcidas/scripts
set table=$SCRIPTDIR/PROC.TABLE
set RegName=Front_goes
set RegInfo=`grep $RegName $table`
set isOps=`echo $RegInfo | awk -F\, '{print $2}' | awk -F\/ '{print $1}'`
set isTest=`echo $RegInfo | awk -F\, '{print $2}' | awk -F\/ '{print $2}'`
set isBackup=`echo $RegInfo | awk -F\, '{print $2}' | awk -F\/ '{print $3}'`
echo "isOps = $isOps"       |grep TRUE   &&   bash  $SCRIPTDIR/sendFront_goes.sh  ${frtfile}.gz  isOps
echo "isTest = $isTest"     |grep TRUE   &&   bash  $SCRIPTDIR/sendFront_goes.sh  ${frtfile}.gz  isTest
echo "isBackup = $isBackup" |grep TRUE   &&   bash  $SCRIPTDIR/sendFront_goes.sh  ${frtfile}.gz  isBackup

#set remoteServer = "140.90.195.61"      # GP12
#set remoteServer = "10.144.3.38"      # satepsdist1 #
#set remoteUser = "spider"
#set remoteDir = "/data/ftp/pub/gsst_bayes/fronts"
#set localFile = "${frtfile}.Z"
#    echo "----- Begin Send Frontal File Ftp Transfer: $localFile  `date` -----" 
#sftp $remoteUser@$remoteServer << EOF
#       cd $remoteDir
#       put $localFile
#       exit
#EOF
echo "----- End Send Frontal File Ftp Transfer: ${frtname}.Z `date` -----" 
echo
echo "GOESSST Frontal Product  ${frtname}  SUCCESS"
echo "GOESSST Frontal Product  ${frtname}  SUCCESS" | mail -s 'SST Frontal Daily Job' $mailList
echo
echo "========================================================================"
echo
exit

