#!/bin/bash
#
export SCRIPTDIR=$( dirname $0 )
. $SCRIPTDIR/set_app_env.sh
scriptname=$( basename $0)

# set log file:
# If command line includes logfile name, send stdout to that file
# This avoids e-mail every time the script runs from crontabs
#---------------------------------------------------------------
 while getopts l: optionName
 do
             case $optionName in
             l)   logname="$OPTARG"
                  datestring=`date -u +%Y%m%d.%j.%H%M` 
                  logname="$logname.$datestring.log"
                  export   LOGFILE=$LOGDIR/$logname
                  exec >> $LOGFILE   2>&1 ;;
             ?)   echo "Usage: $scriptname -l logfile_name \n";;
            esac
 done

echo "Begin $scriptname $* at $(date)"

imgcopy.k  LD/GOES_NE_SST.0    LD/GOES_NE_B1  BAND=1   SIZE=SAME
imgcopy.k  LD/GOES_NE_PCLR.0   LD/GOES_NE_B3  BAND=3   SIZE=SAME

imgcopy.k  LD/GOES_NW_SST.0    LD/GOES_NW_B1  BAND=1   SIZE=SAME
imgcopy.k  LD/GOES_NW_PCLR.0   LD/GOES_NW_B3  BAND=3   SIZE=SAME

imgcopy.k  LD/GOES_SE_SST.0    LD/GOES_SE_B1  BAND=1   SIZE=SAME
imgcopy.k  LD/GOES_SE_PCLR.0   LD/GOES_SE_B3  BAND=3   SIZE=SAME

imgcopy.k  LD/GOES_SW_SST.0    LD/GOES_SW_B1  BAND=1   SIZE=SAME
imgcopy.k  LD/GOES_SW_PCLR.0   LD/GOES_SW_B3  BAND=3   SIZE=SAME

imgcopy.k  LD/MSG_SST.0        LD/MSG_B1      BAND=1   SIZE=SAME
imgcopy.k  LD/MSG_PCLR.0       LD/MSG_B3      BAND=3   SIZE=SAME

imgcopy.k  LD/MTSAT_SST.0      LD/MTSAT_B1    BAND=1   SIZE=SAME
imgcopy.k  LD/MTSAT_PCLR.0     LD/MTSAT_B3    BAND=3   SIZE=SAME

echo " End $scriptname at $(date)"

