#!/bin/bash
#
# Program Name: set_app_env.sh
#
# Purpose : Set up directory paths for SST processing
#
# Usage: set_app_env.sh 
#
# Scripts Run:  none
#
# Called by :  almost all scripts
#
# Description : Set up directory paths for SST processing
#
# Change History:
#      Feb. 2009 --  M. Fan (PSGS) 
#
################################################################################

# set path
#----------
export PATH=$HOME/mcidas/bin:$HOME/mcidas/scripts:/home/mcidas/bin:/bin:/usr/local/bin:/usr/bin:/etc:/usr/sbin:.
export MCPATH=$HOME/mcidas/data:/data/$(whoami)/AreaFiles:/home/mcidas/data

# set system directories
#------------------------
export LOGDIR=$HOME/mcidas/logs
#export SCRIPTDIR=$HOME/mcidas/ksh
export SCRIPTDIR=$( dirname $0 )
export BINDIR=$HOME/mcidas/bin
export MCDATDIR=$HOME/mcidas/data

# set in/output directories
#--------------------------
export SSTDIR=/data/$(whoami)/sstArchive
export AREADIR=/data/$(whoami)/AreaFiles
export MODELDIR=/data/$(whoami)/gridFiles   
export BUOYDIR=/data/$(whoami)/buoyMatch
export L2P_DIR=/data/$(whoami)/L2P
export L2P_DATA=/data/$(whoami)/L2P
export L2P_OUTDIR=${L2P_DATA}/netcdf_output
export L2P_INDIR=${L2P_DATA}/netcdf_input
export FRONTDIR=/data/$(whoami)/front_sst

# modified since there is no enough disk space on /data but on /data1
# So the old/archive data are put under /data1
#-----------
#export MOD_ARCHIVE_DIR=/data/$(whoami)/modelArchive
#export oldBUOYDIR=/data/$(whoami)/buoyMatch/old
#export L2P_SENTDIR=${L2P_DATA}/netcdf_sent
#export L2P_OLDIN=${L2P_INDIR}/old

#export oldSSTDIR=/data/$(whoami)/sstArchive/old
#export oldArea=/data/$(whoami)/archiveAreaFiles

export MOD_ARCHIVE_DIR=/data1/$(whoami)/modelArchive
export oldBUOYDIR=/data1/$(whoami)/buoyMatch/old
export L2P_SENTDIR=/data1/$(whoami)/L2P/netcdf_sent
export L2P_OLDIN=/data1/$(whoami)/L2P/netcdf_input/old
export oldSSTDIR=/data1/$(whoami)/sstArchive/old
export oldArea=/data1/$(whoami)/archiveAreaFiles




